# Copyright (c) 2014 Dave Love, Liverpool University
# The licence for this file is as for the package itself.

%global packname  RNACI
%global rlibdir  %{_libdir}/R/library
%global commit fabec99d34e8bb2df6ca54b9ecca3a57190be1d7
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:             R-RNACI
Version:          0.1_0.%{shortcommit}git
Release:          1%{?dist}
Summary:          RNACI

Group:            Applications/Engineering 
License:          BSD
URL:              https://github.com/wrathematics/RNACI
Source0:	  https://github.com/wrathematics/RNACI/archive/%commit/RNACI-%{commit}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    R-devel tex(latex)
Obsoletes:	  R-SEXPtools



%description
Tools for simplifying R's native C interface.  Like a dumber, less
comprehensive, C version of Rcpp.

%prep
%setup -q -c -n %name-%commit

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
mv RNACI-fabec99d34e8bb2df6ca54b9ecca3a57190be1d7 RNACI
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} RNACI
test -d RNACI/src && (cd RNACI/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/RNACIR.css
rm -r %{buildroot}%{rlibdir}/RNACI/lib

%check
# %{_bindir}/R CMD check RNACI

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/RNACI
%doc %{rlibdir}/RNACI/doc
%doc %{rlibdir}/RNACI/html
%doc %{rlibdir}/RNACI/DESCRIPTION
%{rlibdir}/RNACI/libs
%{rlibdir}/RNACI/include
%{rlibdir}/RNACI/help
%{rlibdir}/RNACI/Meta
%{rlibdir}/RNACI/R
%{rlibdir}/RNACI/CITATION
%{rlibdir}/RNACI/INDEX
%{rlibdir}/RNACI/LICENSE
%{rlibdir}/RNACI/NAMESPACE


%changelog
* Sat Nov 22 2014 Dave Love <d.love@liverpool.ac.uk> - 0.1_0.%(c=%{commit}; echo ${c:0:7})git-1
- Initial packaging, obsoleting SEXPtools
